Bug 470287 - Stack trace when clicking on Grid tab, when connected to north-15
Stack trace when clicking on Grid tab, when connected to north-15
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin (Show other bugs)
1.0
All Linux
high Severity high
: 1.1
: ---
Assigned To: messaging-bugs
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-06 10:33 EST by Matthew Farrellee
Modified: 2015-11-15 19:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 10:36:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Farrellee 2008-11-06 10:33:53 EST
cumin r2751, condor 7.1.4-0.1, qpid 0.3.706811

http://localhost:45672/index.html?frame=main.pool;main.m=pool;main.tabs.sel=gtab;main.view.m=grd;main.view.msg.brokers.brokers.origin=/index.html%3Fmain.view.m%3Dmsg%3Bframe%3Dmain.brokersadd%3Bmain.tabs.sel%3Dmtab%3Bmain.m%3Dbrokersadd;main.view.msg.brokers.brokers.groups.param=1;main.pool.m=sched;main.pool.id=north-08.lab.bos.redhat.com%2Cnorth-15.lab.bos.redhat.com;main.pool.view.tabs.m=jobs

APPLICATION ERROR

----- python trace -----
Traceback (most recent call last):
  File "/home/matt/Documents/RedHat/rhmessaging.git/mgmt/trunk/cumin/python/wooly/server.py", line 113, in service
    response = page.render(session)
  File "/home/matt/Documents/RedHat/rhmessaging.git/mgmt/trunk/cumin/python/wooly/__init__.py", line 246, in render
    string = self.do_render(session, *args)
  File "/home/matt/Documents/RedHat/rhmessaging.git/mgmt/trunk/cumin/python/wooly/__init__.py", line 255, in do_render
    self.__main_tmpl.render(writer, session, *args)
  File "/home/matt/Documents/RedHat/rhmessaging.git/mgmt/trunk/cumin/python/wooly/__init__.py", line 833, in render
    result = frag(self.__object, session, *args)
  File "/home/matt/Documents/RedHat/rhmessaging.git/mgmt/trunk/cumin/python/wooly/widgets.py", line 53, in render_mode
    return mode.render(session)
  File "/home/matt/Documents/RedHat/rhmessaging.git/mgmt/trunk/cumin/python/wooly/__init__.py", line 246, in render
    string = self.do_render(session, *args)
  File "/home/matt/Documents/RedHat/rhmessaging.git/mgmt/trunk/cumin/python/wooly/__init__.py", line 255, in do_render
    self.__main_tmpl.render(writer, session, *args)
  File "/home/matt/Documents/RedHat/rhmessaging.git/mgmt/trunk/cumin/python/wooly/__init__.py", line 833, in render
    result = frag(self.__object, session, *args)
  File "/home/matt/Documents/RedHat/rhmessaging.git/mgmt/trunk/cumin/python/wooly/widgets.py", line 53, in render_mode
    return mode.render(session)
  File "/home/matt/Documents/RedHat/rhmessaging.git/mgmt/trunk/cumin/python/wooly/__init__.py", line 246, in render
    string = self.do_render(session, *args)
  File "/home/matt/Documents/RedHat/rhmessaging.git/mgmt/trunk/cumin/python/wooly/__init__.py", line 255, in do_render
    self.__main_tmpl.render(writer, session, *args)
  File "/home/matt/Documents/RedHat/rhmessaging.git/mgmt/trunk/cumin/python/wooly/__init__.py", line 833, in render
    result = frag(self.__object, session, *args)
  File "/home/matt/Documents/RedHat/rhmessaging.git/mgmt/trunk/cumin/python/wooly/widgets.py", line 53, in render_mode
    return mode.render(session)
  File "/home/matt/Documents/RedHat/rhmessaging.git/mgmt/trunk/cumin/python/wooly/__init__.py", line 246, in render
    string = self.do_render(session, *args)
  File "/home/matt/Documents/RedHat/rhmessaging.git/mgmt/trunk/cumin/python/wooly/__init__.py", line 255, in do_render
    self.__main_tmpl.render(writer, session, *args)
  File "/home/matt/Documents/RedHat/rhmessaging.git/mgmt/trunk/cumin/python/wooly/__init__.py", line 833, in render
    result = frag(self.__object, session, *args)
  File "/home/matt/Documents/RedHat/rhmessaging.git/mgmt/trunk/cumin/python/wooly/widgets.py", line 53, in render_mode
    return mode.render(session)
  File "/home/matt/Documents/RedHat/rhmessaging.git/mgmt/trunk/cumin/python/wooly/__init__.py", line 246, in render
    string = self.do_render(session, *args)
  File "/home/matt/Documents/RedHat/rhmessaging.git/mgmt/trunk/cumin/python/wooly/__init__.py", line 255, in do_render
    self.__main_tmpl.render(writer, session, *args)
  File "/home/matt/Documents/RedHat/rhmessaging.git/mgmt/trunk/cumin/python/wooly/__init__.py", line 833, in render
    result = frag(self.__object, session, *args)
  File "/home/matt/Documents/RedHat/rhmessaging.git/mgmt/trunk/cumin/python/cumin/scheduler.py", line 141, in render_script
    data = "model.xml?class=scheduler;id=%i" % sched.id
AttributeError: 'NoneType' object has no attribute 'id'

----- process trace -----
MainPage('') (call 167965772, caller 40730720)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.070000, 30.070000
MainFrame('main') (call 168009612, caller 167965772)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.070000, 30.070000
PoolFrame('main.pool') (call 168005836, caller 168009612)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: frames = [MainFrame('main'), PoolFrame('main.pool'), SchedulerFrame('main.pool.sched')]
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.070000, 30.070000
SchedulerFrame('main.pool.sched') (call 168009196, caller 168005836)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: frames = [MainFrame('main'), PoolFrame('main.pool'), SchedulerFrame('main.pool.sched')]
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.070000, 30.070000
SchedulerView('main.pool.sched.view') (call 168006092, caller 168009196)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: frames = [MainFrame('main'), PoolFrame('main.pool'), SchedulerFrame('main.pool.sched')]
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.sched.m = view
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.070000, 30.070000
CuminSummary('main.pool.sched.view.summary') (call 168007404, caller 168006092)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: frames = [MainFrame('main'), PoolFrame('main.pool'), SchedulerFrame('main.pool.sched')]
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.sched.m = view
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.070000, 30.070000
SummaryProperties('main.pool.sched.view.summary.properties') (call 168007852, caller 168007404)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: frames = [MainFrame('main'), PoolFrame('main.pool'), SchedulerFrame('main.pool.sched')]
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.sched.m = view
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.070000, 30.070000
SummaryActions('main.pool.sched.view.summary.actions') (call 168006892, caller 168007404)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: frames = [MainFrame('main'), PoolFrame('main.pool'), SchedulerFrame('main.pool.sched')]
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.sched.m = view
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.070000, 30.070000
SchedulerStatus('main.pool.sched.view.status') (call 168007660, caller 168006092)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: frames = [MainFrame('main'), PoolFrame('main.pool'), SchedulerFrame('main.pool.sched')]
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.sched.m = view
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.070000, 30.070000
TabbedModeSet('main.pool.sched.view.tabs') (call 168009644, caller 168006092)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: frames = [MainFrame('main'), PoolFrame('main.pool'), SchedulerFrame('main.pool.sched')]
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.sched.m = view
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.070000, 30.070000
SchedulerStats('main.pool.sched.view.tabs.stats') (call 168007244, caller 168009644)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: frames = [MainFrame('main'), PoolFrame('main.pool'), SchedulerFrame('main.pool.sched')]
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.sched.m = view
    value: main.pool.sched.view.tabs.m = stats
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.070000, 30.070000
StatSet('main.pool.sched.view.tabs.stats.general') (call 168008844, caller 168007244)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: frames = [MainFrame('main'), PoolFrame('main.pool'), SchedulerFrame('main.pool.sched')]
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.sched.m = view
    value: main.pool.sched.view.tabs.m = stats
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.070000, 30.070000
UsersChart('main.pool.sched.view.tabs.stats.users') (call 168009484, caller 168007244)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: frames = [MainFrame('main'), PoolFrame('main.pool'), SchedulerFrame('main.pool.sched')]
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.sched.m = view
    value: main.pool.sched.view.tabs.m = stats
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.070000, 30.070000
DurationSwitch('main.pool.sched.view.tabs.stats.users.duration') (call 168007756, caller 168009484)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: frames = [MainFrame('main'), PoolFrame('main.pool'), SchedulerFrame('main.pool.sched')]
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.sched.m = view
    value: main.pool.sched.view.tabs.m = stats
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.070000, 30.070000
JobsChart('main.pool.sched.view.tabs.stats.jobs') (call 168008012, caller 168007244)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: frames = [MainFrame('main'), PoolFrame('main.pool'), SchedulerFrame('main.pool.sched')]
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.sched.m = view
    value: main.pool.sched.view.tabs.m = stats
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.070000, 30.070000
DurationSwitch('main.pool.sched.view.tabs.stats.jobs.duration') (call 168007980, caller 168008012)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: frames = [MainFrame('main'), PoolFrame('main.pool'), SchedulerFrame('main.pool.sched')]
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.sched.m = view
    value: main.pool.sched.view.tabs.m = stats
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.070000, 30.070000

----- render trace -----
MainPage('') (call 168009292, caller 40730720)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: frames = [MainFrame('main'), PoolFrame('main.pool'), SchedulerFrame('main.pool.sched')]
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.sched.m = view
    value: main.pool.sched.view.tabs.m = stats
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.070000, -1.000000
MainFrame('main') (call 168006636, caller 168009292)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: frames = [MainFrame('main'), PoolFrame('main.pool'), SchedulerFrame('main.pool.sched')]
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.sched.m = view
    value: main.pool.sched.view.tabs.m = stats
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.070000, -1.000000
MainFrameTabs('main.tabs') (call 166734796, caller 168006636)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: frames = [MainFrame('main'), PoolFrame('main.pool'), SchedulerFrame('main.pool.sched')]
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.sched.m = view
    value: main.pool.sched.view.tabs.m = stats
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.070000, 30.080000
HomeTab('main.tabs.htab') (call 166735660, caller 166734796)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: frames = [MainFrame('main'), PoolFrame('main.pool'), SchedulerFrame('main.pool.sched')]
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.sched.m = view
    value: main.pool.sched.view.tabs.m = stats
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.070000, 30.080000
MessagingTab('main.tabs.mtab') (call 166734188, caller 166734796)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: frames = [MainFrame('main'), PoolFrame('main.pool'), SchedulerFrame('main.pool.sched')]
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.sched.m = view
    value: main.pool.sched.view.tabs.m = stats
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.080000, 30.080000
GridTab('main.tabs.gtab') (call 166735596, caller 166734796)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: frames = [MainFrame('main'), PoolFrame('main.pool'), SchedulerFrame('main.pool.sched')]
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.sched.m = view
    value: main.pool.sched.view.tabs.m = stats
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.080000, 30.080000
SystemsTab('main.tabs.stab') (call 166735372, caller 166734796)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: frames = [MainFrame('main'), PoolFrame('main.pool'), SchedulerFrame('main.pool.sched')]
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.sched.m = view
    value: main.pool.sched.view.tabs.m = stats
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.080000, 30.080000
PoolFrame('main.pool') (call 166734764, caller 168006636)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: frames = [MainFrame('main'), PoolFrame('main.pool'), SchedulerFrame('main.pool.sched')]
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.sched.m = view
    value: main.pool.sched.view.tabs.m = stats
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.080000, -1.000000
SchedulerFrame('main.pool.sched') (call 166735276, caller 166734764)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: frames = [MainFrame('main'), PoolFrame('main.pool'), SchedulerFrame('main.pool.sched')]
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.sched.m = view
    value: main.pool.sched.view.tabs.m = stats
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.080000, -1.000000
SchedulerView('main.pool.sched.view') (call 166734284, caller 166735276)
  session: Session(trunk=None,app=Cumin(default_page=None))
    value: frame = PoolFrame('main.pool')
    value: frames = [MainFrame('main'), PoolFrame('main.pool'), SchedulerFrame('main.pool.sched')]
    value: m = main
    value: main.m = pool
    value: main.pool.id = <cumin.model.Pool object at 0xa03910c>
    value: main.pool.m = sched
    value: main.pool.sched.m = view
    value: main.pool.sched.view.tabs.m = stats
    value: main.pool.view.tabs.m = jobs
    value: main.tabs.sel = gtab
    value: main.view.m = grd
    value: main.view.msg.brokers.brokers.groups.param = <BrokerGroup 1 name='West Coast'>
    value: main.view.msg.brokers.brokers.origin = /index.html?main.view.m=msg;frame=main.brokersadd;main.tabs.sel=mtab;main.m=brokersadd
   object: None
    times: 30.080000, -1.000000
Comment 1 Justin Ross 2008-11-09 23:36:49 EST
I can't quite tell from the trace, and I can't easily test on north-15 atm, but I believe this is addressed at rev 2775.  Please try again if you would.
Comment 2 Matthew Farrellee 2008-11-10 16:23:07 EST
I can't seem to reproduce this bug with r2779. However, now clicking on the Grid tab from anywhere within the Grid tab does nothing. Previously it would bring you back to the "Main" frame. For example, from the Home tab click the Grid tab and find yourself at the Grid Statistics page, not click on Submitters to find the submitters page, finally click on Grid to see that you remain on the submitters page.
Comment 3 Ernie 2008-11-25 10:52:29 EST
Returning to (or remaining on) the Grid Pool view is the correct behavior when clicking on the Grid tab.
The Grid tab automatically skips the list of pools and displays the view for the first pool.
To test:
- click on the Grid tab
- click on the Schedulers tab
- click on an individual scheduler
This should display a scheduler view
- click on the Grid tab
This should return to the pool view with the scheduler tab selected.
Comment 5 Jan Sarenik 2008-12-15 09:15:51 EST
It works well on cumin-0.1.2997-1.el5
(tested on local running cumin which has
north-15 as a broker)
Comment 7 errata-xmlrpc 2009-02-04 10:36:56 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0035.html

Note You need to log in before you can comment on or make changes to this bug.